Mir

[ FAILED ] LifecycleEventTest.lifecycle_event_test

Bug #1649758 reported by Daniel van Vugt
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mir
Triaged
High
Alberto Aguirre
mir (Ubuntu)
High
Unassigned

Bug Description

16:16:26 13: [ RUN ] LifecycleEventTest.lifecycle_event_test
...
16:16:28 13: /<<BUILDDIR>>/mir-0.25.0+yakkety3172bzr3818/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
16:16:28 13: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
16:16:28 13: Expected: to be called once
16:16:28 13: Actual: never called - unsatisfied and active
16:16:28 13: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2292 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/3142/consoleFull

Related branches

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Again:

08:47:52 13: /<<BUILDDIR>>/mir-0.25.0+yakkety3224bzr3885/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
08:47:52 13: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
08:47:52 13: Expected: to be called once
08:47:52 13: Actual: never called - unsatisfied and active
08:47:52 13: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2715 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/3194/consoleFull

Revision history for this message
Cemil Azizoglu (cemil-azizoglu) wrote :
Changed in mir:
importance: Undecided → High
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

And:

18:00:57 15: /<<BUILDDIR>>/mir-0.26.0+yakkety3234bzr3890/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
18:00:57 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
18:00:58 15: Expected: to be called once
18:00:58 15: Actual: never called - unsatisfied and active
18:00:58 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2349 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/3204/consoleFull

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Today:

18:47:17 15: /<<BUILDDIR>>/mir-0.25.0+xenial3206bzr3885/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
18:47:17 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
18:47:17 15: Expected: to be called once
18:47:17 15: Actual: never called - unsatisfied and active
18:47:17 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2611 ms)
18:47:17 15: [----------] 1 test from LifecycleEventTest (2615 ms total)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3176/consoleFull

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Again:

15:13:06 15: /<<BUILDDIR>>/mir-0.26.0+yakkety3317bzr3945/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
15:13:06 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
15:13:06 15: Expected: to be called once
15:13:06 15: Actual: never called - unsatisfied and active
15:13:06 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2111 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/3287/consoleFull

Revision history for this message
Alan Griffiths (alan-griffiths) wrote :
Download full text (3.6 KiB)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3460/consoleFull

11:22:09 15: [ RUN ] LifecycleEventTest.lifecycle_event_test
11:22:09 15: [2017-01-11 11:22:09.561726] mirplatform: Found graphics driver: mir:mesa-x11 (version 0.26.0)
11:22:09 15: [2017-01-11 11:22:09.599032] mirplatform: Found graphics driver: mir:mesa-kms (version 0.26.0)
11:22:09 15: [2017-01-11 11:22:09.613207] mirplatform: Found graphics driver: mir:android (version 0.26.0)
11:22:09 15: [2017-01-11 11:22:09.614995] mirplatform: Found graphics driver: mir:stub-graphics (version 0.26.0)
11:22:09 15: [2017-01-11 11:22:09.617677] mirplatform: Found graphics driver: throw-on-creation (version 0.26.0)
11:22:10 15: [2017-01-11 11:22:10.047244] mirserver: Mir version 0.26.0
11:22:10 15: [2017-01-11 11:22:10.052918] mirserver: Initial display configuration:
11:22:10 15: [2017-01-11 11:22:10.053646] mirserver: Output 1: VGA connected, used
11:22:10 15: [2017-01-11 11:22:10.054035] mirserver: Physical size 0.0" 0x0mm
11:22:10 15: [2017-01-11 11:22:10.054229] mirserver: Power is on
11:22:10 15: [2017-01-11 11:22:10.054470] mirserver: Current mode 1600x1600 60.00Hz
11:22:10 15: [2017-01-11 11:22:10.054709] mirserver: Preferred mode 1600x1600 60.00Hz
11:22:10 15: [2017-01-11 11:22:10.054904] mirserver: Orientation normal
11:22:10 15: [2017-01-11 11:22:10.055124] mirserver: Logical size 1600x1600
11:22:10 15: [2017-01-11 11:22:10.055354] mirserver: Logical position +0+0
11:22:11 15: /<<BUILDDIR>>/mir-0.26.0+xenial3490bzr3919/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
11:22:11 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
11:22:11 15: Expected: to be called once
11:22:11 15: Actual: never called - unsatisfied and active
11:22:11 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2228

...

11:22:27 [ RUN ] LifecycleEventTest.lifecycle_event_test
11:22:27 [2017-01-11 11:22:09.561726] mirplatform: Found graphics driver: mir:mesa-x11 (version 0.26.0)
11:22:27 [2017-01-11 11:22:09.599032] mirplatform: Found graphics driver: mir:mesa-kms (version 0.26.0)
11:22:27 [2017-01-11 11:22:09.613207] mirplatform: Found graphics driver: mir:android (version 0.26.0)
11:22:27 [2017-01-11 11:22:09.614995] mirplatform: Found graphics driver: mir:stub-graphics (version 0.26.0)
11:22:27 [2017-01-11 11:22:09.617677] mirplatform: Found graphics driver: throw-on-creation (version 0.26.0)
11:22:27 [2017-01-11 11:22:10.047244] mirserver: Mir version 0.26.0
11:22:27 [2017-01-11 11:22:10.052918] mirserver: Initial display configuration:
11:22:27 [2017-01-11 11:22:10.053646] mirserver: Output 1: VGA connected, used
11:22:27 [2017-01-11 11:22:10.054035] mirserver: Physical size 0.0" 0x0mm
11:22:27 [2017-01-11 11:22:10.054229] mirserver: Power is on
11:22:27 [2017-01-11 11:22:10.054470] mirserver: Current mode 1600x1600 60.00Hz
11:22:27 [2017-01-11 11:22:10.054709] mirserver: Preferred mode 1600x1600 60.00Hz
11:22:27 [2017-01-11 11:22:10.054904] mirserver: Orientation normal
11:22:27 [2017-01-11 11:22:10.055124] mirserver: Logical size 1600...

Read more...

Changed in mir:
status: New → Triaged
Revision history for this message
Kevin DuBois (kdub) wrote :

tried to repro for a bit today, wasn't able to with loaded system + valgrind.

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Again:

20:19:26 13: /<<BUILDDIR>>/mir-0.26.0+zesty3545bzr3925/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
20:19:26 13: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
20:19:26 13: Expected: to be called once
20:19:26 13: Actual: never called - unsatisfied and active
20:19:26 13: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2600 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3515/consoleFull

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Again:

07:49:53 15: /<<BUILDDIR>>/mir-0.26.0+xenial3583bzr3928/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
07:49:53 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
07:49:53 15: Expected: to be called once
07:49:53 15: Actual: never called - unsatisfied and active
07:49:53 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2056 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3552/consoleFull

Revision history for this message
Daniel van Vugt (vanvugt) wrote :

Again:
14:39:46 15: /<<BUILDDIR>>/mir-0.26.0+xenial3594bzr3941/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
14:39:46 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
14:39:46 15: Expected: to be called once
14:39:46 15: Actual: never called - unsatisfied and active
14:39:46 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (2596 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/3563/consoleFull

Revision history for this message
Alberto Aguirre (albaguirre) wrote :

And another:

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3611/consoleFull

19:22:17 [ RUN ] LifecycleEventTest.lifecycle_event_test
19:22:17 [2017-01-17 19:21:45.660510] mirplatform: Found graphics driver: mir:mesa-x11 (version 0.26.0)
19:22:17 [2017-01-17 19:21:45.685867] mirplatform: Found graphics driver: mir:mesa-kms (version 0.26.0)
19:22:17 [2017-01-17 19:21:45.698639] mirplatform: Found graphics driver: mir:android (version 0.26.0)
19:22:17 [2017-01-17 19:21:45.700622] mirplatform: Found graphics driver: mir:stub-graphics (version 0.26.0)
19:22:17 [2017-01-17 19:21:45.702666] mirplatform: Found graphics driver: throw-on-creation (version 0.26.0)
19:22:17 [2017-01-17 19:21:46.115430] mirserver: Mir version 0.26.0
19:22:17 [2017-01-17 19:21:46.118892] mirserver: Initial display configuration:
19:22:17 [2017-01-17 19:21:46.119141] mirserver: Output 1: VGA connected, used
19:22:17 [2017-01-17 19:21:46.119337] mirserver: Physical size 0.0" 0x0mm
19:22:17 [2017-01-17 19:21:46.119494] mirserver: Power is on
19:22:17 [2017-01-17 19:21:46.119683] mirserver: Current mode 1600x1600 60.00Hz
19:22:17 [2017-01-17 19:21:46.119871] mirserver: Preferred mode 1600x1600 60.00Hz
19:22:17 [2017-01-17 19:21:46.120023] mirserver: Orientation normal
19:22:17 [2017-01-17 19:21:46.120186] mirserver: Logical size 1600x1600
19:22:17 [2017-01-17 19:21:46.120342] mirserver: Logical position +0+0
19:22:17 /<<BUILDDIR>>/mir-0.26.0+zesty3643bzr3931/tests/integration-tests/shell/test_session_lifecycle_event.cpp:85: Failure
19:22:17 Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
19:22:17 Expected: to be called once
19:22:17 Actual: never called - unsatisfied and active
19:22:17 [ FAILED ] LifecycleEventTest.lifecycle_event_test (2180 ms)

Revision history for this message
Daniel van Vugt (vanvugt) wrote :
Revision history for this message
Alan Griffiths (alan-griffiths) wrote :
Revision history for this message
Kevin DuBois (kdub) wrote :
Changed in mir:
assignee: nobody → Alberto Aguirre (albaguirre)
status: Triaged → In Progress
milestone: none → 0.26.0
Changed in mir:
milestone: 0.26.0 → 1.0.0
Revision history for this message
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 1.0.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
milestone: 1.0.0 → 0.26.0
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

And again:

03:01:07 13: /<<BUILDDIR>>/mir-0.26.0+zesty3838bzr3972/tests/integration-tests/shell/test_session_lifecycle_event.cpp:98: Failure
03:01:07 13: Value of: signal.wait_for(30s)
03:01:07 13: Actual: false
03:01:07 13: Expected: true
03:01:07 13: /<<BUILDDIR>>/mir-0.26.0+zesty3838bzr3972/tests/integration-tests/shell/test_session_lifecycle_event.cpp:92: Failure
03:01:07 13: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
03:01:07 13: Expected: to be called once
03:01:07 13: Actual: never called - unsatisfied and active
03:01:07 13: [ FAILED ] LifecycleEventTest.lifecycle_event_test (32421 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3796/consoleFull

Changed in mir:
status: Fix Committed → Triaged
milestone: 0.26.0 → 1.0.0
Revision history for this message
Alberto Aguirre (albaguirre) wrote :

Again:

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=i386,compiler=gcc,platform=mesa,release=xenial+overlay/3840/consoleFull

22:01:17 15: [ RUN ] LifecycleEventTest.lifecycle_event_test
22:01:17 15: [2017-01-27 22:01:17.484847] mirplatform: Found graphics driver: mir:android (version 0.26.0)
22:01:17 15: [2017-01-27 22:01:17.534700] mirplatform: Found graphics driver: mir:mesa-kms (version 0.26.0)
22:01:17 15: [2017-01-27 22:01:17.539158] mirplatform: Found graphics driver: mir:mesa-x11 (version 0.26.0)
22:01:17 15: [2017-01-27 22:01:17.541971] mirplatform: Found graphics driver: throw-on-creation (version 0.26.0)
22:01:17 15: [2017-01-27 22:01:17.542305] mirplatform: Found graphics driver: mir:stub-graphics (version 0.26.0)
22:01:18 15: [2017-01-27 22:01:18.015006] mirserver: Mir version 0.26.0
22:01:18 15: [2017-01-27 22:01:18.022750] mirserver: Initial display configuration:
22:01:18 15: [2017-01-27 22:01:18.023111] mirserver: Output 1: VGA connected, used
22:01:18 15: [2017-01-27 22:01:18.023369] mirserver: Physical size 0.0" 0x0mm
22:01:18 15: [2017-01-27 22:01:18.023617] mirserver: Power is on
22:01:18 15: [2017-01-27 22:01:18.023922] mirserver: Current mode 1600x1600 60.00Hz
22:01:18 15: [2017-01-27 22:01:18.024237] mirserver: Preferred mode 1600x1600 60.00Hz
22:01:18 15: [2017-01-27 22:01:18.024583] mirserver: Orientation normal
22:01:18 15: [2017-01-27 22:01:18.024787] mirserver: Logical size 1600x1600
22:01:18 15: [2017-01-27 22:01:18.025232] mirserver: Logical position +0+0
22:01:49 15: /<<BUILDDIR>>/mir-0.26.0+xenial3882bzr3966/tests/integration-tests/shell/test_session_lifecycle_event.cpp:98: Failure
22:01:49 15: Value of: signal.wait_for(30s)
22:01:49 15: Actual: false
22:01:49 15: Expected: true
22:01:49 15: /<<BUILDDIR>>/mir-0.26.0+xenial3882bzr3966/tests/integration-tests/shell/test_session_lifecycle_event.cpp:92: Failure
22:01:49 15: Actual function call count doesn't match EXPECT_CALL(*handler, state_changed(Eq(mir_lifecycle_state_will_suspend)))...
22:01:49 15: Expected: to be called once
22:01:49 15: Actual: never called - unsatisfied and active
22:01:49 15: [ FAILED ] LifecycleEventTest.lifecycle_event_test (32323 ms)

Changed in mir:
milestone: 0.27.0 → 0.28.0
Revision history for this message
Michał Sawicz (saviq) wrote :

Syncing task from Mir.

Changed in mir (Ubuntu):
importance: Undecided → High
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers